2019-10-15 10:59 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003343SoccerKid[WHDLoad Installs Games] AGApublic2019-10-13 17:35
ReporterSolo Kazuki 
Assigned ToCFOUProject InfoSoccer Kid (Krisalis)
http://www.whdload.de/games/SoccerKid.html
 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Summary0003343: Soccer Kid CD32 joypad routine to AGA version
DescriptionIs there possibility to transfer CD32 joypad routine to AGA version?
Tagssupport 2nd fire button
MachineA1200
CPU68020 + 68851
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.1
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0007078

CFOU (developer)

To do

note ~0007108

CFOU (developer)

version 1.17 Beta (xx.10.2019) done by CFou!:
 - Cheated savegame maker source code fixed (0003226) for AGA only now
 - rewritten to use last Kick32CD32.s source code (AGA/CD32)
   (thanks WEPL & JOTD for that)
 - random temporary player freezes fixed (CD32)
 - Decrunch code relocated in fast memory (ECS/AGA/CD32)
 - Less expansion memory needed (AGA/CD32)
 - novolalile.library emulation use last WEPL's code (CD32)
    =>save game named 'NVRAM' for CD32 (cheat save not supported)
 - Load/Save HighScore on HD in file named 'Highs' (ECS/AGA/CD32)
  (Warning: 'save game' & 'Highs' files are'nt written with a trainer option)
 - CUSTOM2=1 Tooltype used to skip intro (ECS/AGA/CD32)
 - CUSTOM3=1 used to force CD32 PAD & second fire button support (ECS/AGA)
    - BLUE button : to jump
    - PLAY button : to pause game
    - REVERSE button: to return to main menu
    
 - Trainer on WHDLOAD startup splash windows added (ECS/AGA/CD32)
   CUSTOM1: To activate trainer options:
     CUSTOM1=1 : Unlimited lives
     CUSTOM1=2 : Unlimited energy
     CUSTOM1=4 : Unlimited time
     CUSTOM1=8 : Unlimited invicibility
     CUSTOM1=16: To activate in game trainer keys

         'L' : To toggle unlimited lives
         'E' : To toggle unlimited energy
         'T' : To refresh full time
         'I' : To toggle invincibility
         'C' : To give all level cards
        'Tab': To skip level
 (known bug:don't skip level in bonus level, if not level 1 is all time loaded)
 - New CD32 Control: Joypad/Joy supported with 2 fire buttons (CD32)
    PAUSE : PLay or 'P'
    RETURN MENU: Reverse+Forward or 'Esc' key
    YEllow : Yellow or Second fire button or 'space' key
 To do:
 ** Nantis issue to fixe (0004223) (AGA)

note ~0007110

CFOU (developer)

ECS/AGA
Second button +CD32 pad support:
reverse button: to return to main menu
Bleu button: or second button to jump
play button: to pause (but must be reworked)

note ~0007114

CFOU (developer)

pause using PLay button fixed

note ~0007115

CFOU (developer)

now second button works fine with simple joystick
V1.19c

many access faults fixed on AGA/CD32

 version 1.19c Beta (xx.10.2019) done by CFou!:
 - 27 access faults fixed (0004223) (AGA)
    =>caused little gfx bugs behind enemies when they appeared
          or random crashes
 - 7 access faults fixed (CD32)
 - Cheated savegame maker source code fixed (0003226) for AGA only now
 - rewritten to use last Kick32CD32.s source code (AGA/CD32)
   (thanks WEPL & JOTD for that)
 - random temporary player freezes fixed (CD32)
 - Decrunch code relocated in fast memory (ECS/AGA/CD32)
 - Less expansion memory needed (AGA/CD32)
 - novolalile.library emulation use last WEPL's code (CD32)
    =>save game named 'NVRAM' for CD32 (cheat save not supported)
 - Load/Save HighScore on HD in file named 'Highs' (ECS/AGA/CD32)
  (Warning: 'save game' & 'Highs' files are'nt written with a trainer option)
 - CUSTOM2=1 Tooltype used to skip intro (ECS/AGA/CD32)
 - CUSTOM3=1 used to force CD32 PAD & second fire button support (ECS/AGA/CD32)
    - BLUE button or second button : to jump
    - RED button or first button : to shoot
    - PLAY button or F10 : to pause game
    - REVERSE+FORWARD buttons or ESC : to return to main menu
    
 - Trainer on WHDLOAD startup splash windows added (ECS/AGA/CD32)
   CUSTOM1: To activate trainer options:
     CUSTOM1=1 : Unlimited lives
     CUSTOM1=2 : Unlimited energy
     CUSTOM1=4 : Unlimited time
     CUSTOM1=8 : Unlimited invicibility
     CUSTOM1=16: To activate in game trainer keys

         'L' : To toggle unlimited lives
         'E' : To toggle unlimited energy
         'T' : To refresh full time
         'I' : To toggle invincibility
         'C' : To give all level cards
        'Tab': To skip level
 (known bug:don't skip level in bonus level, if not level 1 is all time loaded)

note ~0007120

CFOU (developer)

Done with slave 2.0
+Notes

-Issue History
Date Modified Username Field Change
2015-12-27 18:23 Solo Kazuki New Issue
2015-12-29 16:12 Wepl Project WHDLoad Installs Games => SoccerKid
2019-01-25 22:18 Solo Kazuki Tag Attached: support 2nd fire button
2019-10-01 21:35 CFOU Note Added: 0007078
2019-10-09 09:24 CFOU Assigned To => CFOU
2019-10-09 09:24 CFOU Status new => assigned
2019-10-10 00:42 CFOU File Added: SoccerKidECS-AGA-CD32-118Beta.lha
2019-10-10 00:42 CFOU Note Added: 0007108
2019-10-10 00:45 CFOU Note Added: 0007110
2019-10-10 23:12 CFOU File Added: SoccerKid-119a.lha
2019-10-10 23:12 CFOU Note Added: 0007114
2019-10-10 23:12 CFOU File Deleted: SoccerKidECS-AGA-CD32-118Beta.lha
2019-10-11 19:16 CFOU File Added: SoccerKidECS-AGA-CD32-119c-beta.lha
2019-10-11 19:16 CFOU Note Added: 0007115
2019-10-11 19:16 CFOU File Deleted: SoccerKid-119a.lha
2019-10-13 17:35 CFOU Status assigned => closed
2019-10-13 17:35 CFOU Resolution open => fixed
2019-10-13 17:35 CFOU Note Added: 0007120
+Issue History